conky.config = {
--==============================================================================

--  2022/03/12
--  this theme is for conky version 1.10.8 or newer
-- 
--  ZAVIJAVA
--  ( A part of Orion Conky themes pack )
--
--  author  : Closebox73
--  license : Distributed under the terms of GPLv3
--  notes   : Created on 1366x768 Monitor

--==============================================================================

-- Size and Position settings --
  alignment = 'top_left',
  gap_x = 30,
  gap_y = 0,
  maximum_width = 300,
  minimum_height = 700,
  minimum_width = 250,
  
-- Text settings --
  use_xft = true,
  font = 'Hack:size=9',
  
-- Color Settings --
  default_color = 'white',
  default_outline_color = 'white',
  default_shade_color = 'white',
  color1 = '66b2b2',
  color2 = 'f4c2c2',
  
-- Window Settings --
  background = false,
  border_width = 1,
  draw_borders = false,
  draw_graph_borders = true,
  draw_outline = false,
  draw_shades = false,
  own_window = true,
  own_window_colour = '000000',
  own_window_class = 'Conky',
  own_window_argb_visual = false,
  own_window_type = 'desktop',
  own_window_transparent = true,
  own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',
  stippled_borders = 0,
  
-- Others --
  cpu_avg_samples = 2,
  net_avg_samples = 2,
  double_buffer = true,
  out_to_console = false,
  out_to_stderr = false,
  extra_newline = false,
  update_interval = 1,
  uppercase = false,
  use_spacer = 'none',
  short_units = true,
  show_graph_scale = false,
  show_graph_range = false,
}

conky.text = [[
${execi 10 ~/.config/conky/Zavijava/scripts/weather.sh}\
${alignc}${font Bebas Neue:size=75}${time %H:%M}${font}
${alignc}${color1}${font Hack:light:size=15}${time %A, %d %B}${font}
${alignc}${color}${font Hack:bold:size=15}-----------------------------------
${alignc}${voffset 15}${color1}${font weather icons:size=40}${execi 15 ~/.config/conky/Zavijava/scripts/weather-text-icon}${font}
${alignc}${voffset 20}${color}${font Hack:light:size=11}${execi 600 ~/.config/conky/Zavijava/scripts/greeting.sh}, ${color1}${execi 6000 whoami | sed "s|\<.|\U&|g"}!!
${alignc}${color}The weather in ${color1}${execi 10 cat ~/.cache/weather.json | jq -r '.name' | sed "s|\<.|\U&|g"} ${color}is
${alignc}${color1}${execi 10 cat ~/.cache/weather.json | jq -r '.weather[0].description' | sed "s|\<.|\U&|g"} ${color}with temp ${color1}${execi 120 cat ~/.cache/weather.json | jq '.main.temp' | awk '{print int($1+0.5)}'}°C
${alignc}${color}Humidity ${color1}${execi 10 cat ~/.cache/weather.json | jq '.main.humidity'}% ${color}Wind speed ${color1}${execi 120 cat ~/.cache/weather.json | jq '.wind.speed'} mph
${alignc}${voffset 20}${color}${font Hack:bold:size=15}-----------------------------------
${voffset 0}${color}${font Hack:bold:size=10}RAM
${offset 0}${color1}${font Bebas Neue:size=45}${memperc}%${alignr}${color2}${memgraph 55,130}${font}
${voffset 5}${color}${font Hack:bold:size=10}CPU
${offset 0}${color1}${font Bebas Neue:size=45}${cpu cpu0}%${alignr}${color2}${cpugraph cpu0 55,130}${font}
${voffset 5}${color}${font Hack:bold:size=10}NET_UP
${offset 0}${color1}${font Bebas Neue:size=45}${totalup enp0s3}${alignr}${color2}${upspeedgraph  55,130}${font}
${voffset 5}${color}${font Hack:bold:size=10}NET_DOWN
${offset 0}${color1}${font Bebas Neue:size=45}${totaldown enp0s3}${alignr}${color2}${downspeedgraph  55,130}${font}
]]
